CQL3Type.Raw (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class CQL3Type.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.CQL3Type.Raw

- Enclosing interface:
    CQL3Type

      public abstract static class CQL3Type.Raw
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `frozen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Raw()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBeNonFrozen()`
    `void` | `freeze()`
    `static CQL3Type.Raw` | `from(CQL3Type type)`
    `static CQL3Type.Raw` | `frozen(CQL3Type.Raw t)`
    `boolean` | `isCounter()`
    `boolean` | `isDuration()`
    `boolean` | `isFrozen()`
    `boolean` | `isUDT()`
    `java.lang.String` | `keyspace()`
    `static CQL3Type.Raw` | `list(CQL3Type.Raw t)`
    `static CQL3Type.Raw` | `map(CQL3Type.Raw t1, CQL3Type.Raw t2)`
    `CQL3Type` | `prepare(java.lang.String keyspace)`
    `abstract CQL3Type` | `prepare(java.lang.String keyspace, Types udts)`
    `CQL3Type` | `prepareInternal(java.lang.String keyspace, Types udts)`
    `boolean` | `referencesUserType(java.lang.String name)`
    `static CQL3Type.Raw` | `set(CQL3Type.Raw t)`
    `abstract boolean` | `supportsFreezing()`
    `static CQL3Type.Raw` | `tuple(java.util.List<CQL3Type.Raw> ts)`
    `static CQL3Type.Raw` | `userType(UTName name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### frozen

          protected boolean frozen

  - ### Constructor Detail

    - #### Raw

          public Raw()

  - ### Method Detail

    - #### supportsFreezing

          public abstract boolean supportsFreezing()

    - #### isFrozen

          public boolean isFrozen()

    - #### canBeNonFrozen

          public boolean canBeNonFrozen()

    - #### isDuration

          public boolean isDuration()

    - #### isCounter

          public boolean isCounter()

    - #### isUDT

          public boolean isUDT()

    - #### keyspace

          public java.lang.String keyspace()

    - #### freeze

          public void freeze()
                      throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### prepare

          public CQL3Type prepare(java.lang.String keyspace)

    - #### prepare

          public abstract CQL3Type prepare(java.lang.String keyspace,
                                           Types udts)
                                    throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### prepareInternal

          public CQL3Type prepareInternal(java.lang.String keyspace,
                                          Types udts)
                                   throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### referencesUserType

          public boolean referencesUserType(java.lang.String name)

    - #### from

          public static CQL3Type.Raw from(CQL3Type type)

    - #### userType

          public static CQL3Type.Raw userType(UTName name)

    - #### map

          public static CQL3Type.Raw map(CQL3Type.Raw t1,
                                         CQL3Type.Raw t2)

    - #### list

          public static CQL3Type.Raw list(CQL3Type.Raw t)

    - #### set

          public static CQL3Type.Raw set(CQL3Type.Raw t)

    - #### tuple

          public static CQL3Type.Raw tuple(java.util.List<CQL3Type.Raw> ts)

    - #### frozen

          public static CQL3Type.Raw frozen(CQL3Type.Raw t)
                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation